Bug 72102 - Configuring a remote printer fails; it works with LPRng compiled from a tarball
Configuring a remote printer fails; it works with LPRng compiled from a tarball
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-08-21 01:21 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-18 15:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bug file that was dropped into my home directory (849 bytes, text/plain)
2002-08-21 01:22 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-08-21 01:21:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Cannot configure a remote printer.  That is,
 - selecting Postscript given an immediate error message
 - cannot find a LaserJet 4m model listed
 - test printing fails with an error message
 - pressing "finish" gives an error message and asks me to submit this report. 
I have a text file in my home directory (it says it's bug 65831):

[kevin@glynnis kevin]$ cat bug
Submitted as bug 65831

Please visit http://bugzilla.redhat.com/bugzilla/ !
File a bug against component redhat-config-network. Thank you!

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 449, in on_applyButton_clicked
  File "/usr/sbin/neat", line 287, in save
  File "/usr/sbin/neat", line 302, in saveHardware
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__[selfkey])
KeyError: options

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Control Center -> printer configuration
2.try to set it up
   Remote system FQN
   Printer type

Actual Results:  Various indications things weren't going well
Finally, a crash, as indicated above.

Additional info:
Comment 1 Need Real Name 2002-08-21 01:22:29 EDT
Created attachment 71826 [details]
bug file that was dropped into my home directory
Comment 2 Trond Eivind Glomsrxd 2002-08-21 19:08:54 EDT
refiling... (and that error message needs to be fixed, too)
Comment 3 Tim Waugh 2002-08-22 03:17:45 EDT
By 'Control Center -> printer configuration', do you mean the printconf-gui 
program?  If you run printconf-gui, do you see the same program as before?
Comment 4 Tim Waugh 2002-08-25 13:03:50 EDT
Pasting in from private mail: 
"I misnamed the feature.  Running KDE, it's arrived at by 
   Control Center -> System -> Printing Manager 
Not, as I previously misstated Control Center -> printer configuration' 
It does not seem to be printconf-gui, because in reverting back to 
LPRng from tarball, I removed that RPM, but Printing Manager still 
Comment 5 Tim Waugh 2002-08-25 13:04:25 EDT
Comment 6 Andrej Vodopivec 2002-08-30 07:41:44 EDT
I am trying to set up a printer in the same way I did it on 7.2.
calling printconf, printconf-gui, or redhat-config-printer brings
up the same interface as in 7.2. I select:
Name		net
Queue type	hp1200n
Driver		Postscript Printer
D.Options	(page Size) A4, (Local) C
This works fine. All data are recorded and available after reboot.
Now, printing a test page fails with:
    There was an error trying to print the test page.

Printing a file with lp or lpd fails with:
Status Information:
 sending job 'root@localhost+840' to net@localhost
 connecting to 'localhost', attempt 1
 cannot open connection to localhost - No such file or directory
Make sure the remote host supports the LPD protocol

My 7.2 workstation still works without problem. The only difference
in printer related files I (some experience with SunOS and Solaris)
can see is that 7.2:princap file has the sme data as printconf
tool while null:printcap is empty. Copying the printcap file
from 7.2 does not help. Printer hp1200n is connected to the network
and ping from RedHat:null works fine.
Comment 7 Tim Waugh 2002-08-30 07:47:23 EDT
voda@kalvarija.fe.uni-lj.si: you are seeing bug #72177, not this one.
Comment 8 Ngo Than 2005-07-18 15:09:08 EDT
please reopent it again if it still does showup in FC4. thanks

Note You need to log in before you can comment on or make changes to this bug.